Return-Path: X-Original-To: apmail-falcon-commits-archive@minotaur.apache.org Delivered-To: apmail-falcon-commits-archive@minotaur.apache.org Received: from mail.apache.org (hermes.apache.org [140.211.11.3]) by minotaur.apache.org (Postfix) with SMTP id 1CD7410C49 for ; Wed, 21 Aug 2013 12:29:40 +0000 (UTC) Received: (qmail 89619 invoked by uid 500); 21 Aug 2013 12:29:40 -0000 Delivered-To: apmail-falcon-commits-archive@falcon.apache.org Received: (qmail 89584 invoked by uid 500); 21 Aug 2013 12:29:39 -0000 Mailing-List: contact commits-help@falcon.incubator.apache.org; run by ezmlm Precedence: bulk List-Help: List-Unsubscribe: List-Post: List-Id: Reply-To: dev@falcon.incubator.apache.org Delivered-To: mailing list commits@falcon.incubator.apache.org Received: (qmail 89573 invoked by uid 99); 21 Aug 2013 12:29:39 -0000 Received: from athena.apache.org (HELO athena.apache.org) (140.211.11.136) by apache.org (qpsmtpd/0.29) with ESMTP; Wed, 21 Aug 2013 12:29:39 +0000 X-ASF-Spam-Status: No, hits=-2000.0 required=5.0 tests=ALL_TRUSTED,WEIRD_PORT X-Spam-Check-By: apache.org Received: from [140.211.11.4] (HELO eris.apache.org) (140.211.11.4) by apache.org (qpsmtpd/0.29) with ESMTP; Wed, 21 Aug 2013 12:29:35 +0000 Received: from eris.apache.org (localhost [127.0.0.1]) by eris.apache.org (Postfix) with ESMTP id 1BE9823889EA; Wed, 21 Aug 2013 12:29:15 +0000 (UTC) Content-Type: text/plain; charset="utf-8" MIME-Version: 1.0 Content-Transfer-Encoding: 7bit Subject: svn commit: r1516144 [3/5] - in /incubator/falcon: site/ site/0.3-incubating/ site/0.3-incubating/css/ site/0.3-incubating/docs/ site/0.3-incubating/images/ site/0.3-incubating/images/logos/ site/0.3-incubating/images/profiles/ site/0.3-incubating/img/... Date: Wed, 21 Aug 2013 12:29:13 -0000 To: commits@falcon.incubator.apache.org From: sriksun@apache.org X-Mailer: svnmailer-1.0.9 Message-Id: <20130821122915.1BE9823889EA@eris.apache.org> X-Virus-Checked: Checked by ClamAV on apache.org Added: incubator/falcon/site/0.3-incubating/docs/OnBoarding.html URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/docs/OnBoarding.html?rev=1516144&view=auto ============================================================================== --- incubator/falcon/site/0.3-incubating/docs/OnBoarding.html (added) +++ incubator/falcon/site/0.3-incubating/docs/OnBoarding.html Wed Aug 21 12:29:11 2013 @@ -0,0 +1,324 @@ + + + + + + + + + Falcon - Contents + + + + + + + + + + + + + + +
+ + + + + + +
+ +

Onboarding Steps

  • Create cluster definition for the cluster, specifying name node, job tracker, workflow engine endpoint, messaging endpoint. Refer to cluster definition for details.
  • Create Feed definitions for each of the input and output specifying frequency, data path, ownership. Refer to feed definition for details.
  • Create Process definition for your job. Process defines configuration for the workflow job. Important attributes are frequency, inputs/outputs and workflow path. Refer to process definition for process details.
  • Define workflow for your job using t he workflow engine(only oozie is supported as of now). Refer Oozie Workflow Specification. The libraries required for the workflow should be available in lib folder in workflow path.
  • Set-up workflow definition, libraries and referenced scripts on hadoop.
  • Submit cluster definition
  • Submit and schedule feed and process definitions

Sample Pipeline

Cluster

Cluster definition that contains end points for name node, job tracker, oozie and jms server:

+<?xml version="1.0"?>
+<!--
+    Cluster configuration
+  -->
+<cluster colo="ua2" description="" name="corp" xmlns="uri:falcon:cluster:0.1"
+    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">    
+    <interfaces>
+        <interface type="readonly" endpoint="hftp://name-node.com:50070" version="0.20.2-cdh3u0" />
+
+        <interface type="write" endpoint="hdfs://name-node.com:54310" version="0.20.2-cdh3u0" />
+
+        <interface type="execute" endpoint="job-tracker:54311" version="0.20.2-cdh3u0" />
+
+        <interface type="workflow" endpoint="http://oozie.com:11000/oozie/" version="3.1.4" />
+
+        <interface type="messaging" endpoint="tcp://jms-server.com:61616?daemon=true" version="5.1.6" />
+    </interfaces>
+
+    <locations>
+        <location name="staging" path="/projects/falcon/staging" />
+        <location name="temp" path="/tmp" />
+        <location name="working" path="/projects/falcon/working" />
+    </locations>
+</cluster>
+
+
Input Feed

Hourly feed that defines feed path, frequency, ownership and validity:

+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+    Hourly sample input data
+  -->
+
+<feed description="sample input data" name="SampleInput" xmlns="uri:falcon:feed:0.1"
+    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+    <groups>group</groups>
+
+    <frequency>hours(1)</frequency>
+
+    <late-arrival cut-off="hours(6)" />
+
+    <clusters>
+        <cluster name="corp" type="source">
+            <validity start="2009-01-01T00:00Z" end="2099-12-31T00:00Z" timezone="UTC" />
+            <retention limit="months(24)" action="delete" />
+        </cluster>
+    </clusters>
+
+    <locations>
+        <location type="data" path="/projects/bootcamp/data/${YEAR}-${MONTH}-${DAY}-${HOUR}/SampleInput" />
+        <location type="stats" path="/projects/bootcamp/stats/SampleInput" />
+        <location type="meta" path="/projects/bootcamp/meta/SampleInput" />
+    </locations>
+
+    <ACL owner="suser" group="users" permission="0755" />
+
+    <schema location="/none" provider="none" />
+</feed>
+
+
Output Feed

Daily feed that defines feed path, frequency, ownership and validity:

+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+    Daily sample output data
+  -->
+
+<feed description="sample output data" name="SampleOutput" xmlns="uri:falcon:feed:0.1"
+xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
+    <groups>group</groups>
+
+    <frequency>days(1)</frequency>
+
+    <late-arrival cut-off="hours(6)" />
+
+    <clusters>
+        <cluster name="corp" type="source">
+            <validity start="2009-01-01T00:00Z" end="2099-12-31T00:00Z" timezone="UTC" />
+            <retention limit="months(24)" action="delete" />
+        </cluster>
+    </clusters>
+
+    <locations>
+        <location type="data" path="/projects/bootcamp/output/${YEAR}-${MONTH}-${DAY}/SampleOutput" />
+        <location type="stats" path="/projects/bootcamp/stats/SampleOutput" />
+        <location type="meta" path="/projects/bootcamp/meta/SampleOutput" />
+    </locations>
+
+    <ACL owner="suser" group="users" permission="0755" />
+
+    <schema location="/none" provider="none" />
+</feed>
+
+
Process

Sample process which runs daily at 6th hour on corp cluster. It takes one input - SampleInput for the previous day(24 instances). It generates one output - SampleOutput for previous day. The workflow is defined at /projects/bootcamp/workflow/workflow.xml. Any libraries available for the workflow should be at /projects/bootcamp/workflow/lib. The process also defines properties queueName, ssh.host, and fileTimestamp which are passed to the workflow. In addition, Falcon exposes the following properties to the workflow: nameNode, jobTracker(hadoop properties), input and output(Input/Output properties).

+<?xml version="1.0" encoding="UTF-8"?>
+<!--
+    Daily sample process. Runs at 6th hour every day. Input - last day's hourly data. Generates output for yesterday
+ -->
+<process name="SampleProcess">
+    <cluster name="corp" />
+
+    <frequency>days(1)</frequency>
+
+    <validity start="2012-04-03T06:00Z" end="2022-12-30T00:00Z" timezone="UTC" />
+
+    <inputs>
+        <input name="input" feed="SampleInput" start="yesterday(0,0)" end="today(-1,0)" />
+    </inputs>
+
+    <outputs>
+            <output name="output" feed="SampleOutput" instance="yesterday(0,0)" />
+    </outputs>
+
+    <properties>
+        <property name="queueName" value="reports" />
+        <property name="ssh.host" value="host.com" />
+        <property name="fileTimestamp" value="${coord:formatTime(coord:nominalTime(), 'yyyy-MM-dd')}" />
+    </properties>
+
+    <workflow engine="oozie" path="/projects/bootcamp/workflow" />
+
+    <retry policy="backoff" delay="minutes(5)" attempts="3" />
+    
+    <late-process policy="exp-backoff" delay="hours(1)">
+        <late-input input="input" workflow-path="/projects/bootcamp/workflow/lateinput" />
+    </late-process>
+</process>
+
+
Oozie Workflow

The sample user workflow contains 3 actions:

  • Pig action - Executes pig script /projects/bootcamp/workflow/script.pig
  • concatenator - Java action that concatenates part files and generates a single file
  • file upload - ssh action that gets the concatenated file from hadoop and sends the file to a remote host
+<workflow-app xmlns="uri:oozie:workflow:0.2" name="sample-wf">
+        <start to="pig" />
+
+        <action name="pig">
+                <pig>
+                        <job-tracker>${jobTracker}</job-tracker>
+                        <name-node>${nameNode}</name-node>
+                        <prepare>
+                                <delete path="${output}"/>
+                        </prepare>
+                        <configuration>
+                                <property>
+                                        <name>mapred.job.queue.name</name>
+                                        <value>${queueName}</value>
+                                </property>
+                                <property>
+                                        <name>mapreduce.fileoutputcommitter.marksuccessfuljobs</name>
+                                        <value>true</value>
+                                </property>
+                        </configuration>
+                        <script>${nameNode}/projects/bootcamp/workflow/script.pig</script>
+                        <param>input=${input}</param>
+                        <param>output=${output}</param>
+                        <file>lib/dependent.jar</file>
+                </pig>
+                <ok to="concatenator" />
+                <error to="fail" />
+        </action>
+
+        <action name="concatenator">
+                <java>
+                        <job-tracker>${jobTracker}</job-tracker>
+                        <name-node>${nameNode}</name-node>
+                        <prepare>
+                                <delete path="${nameNode}/projects/bootcamp/concat/data-${fileTimestamp}.csv"/>
+                        </prepare>
+                        <configuration>
+                                <property>
+                                        <name>mapred.job.queue.name</name>
+                                        <value>${queueName}</value>
+                                </property>
+                        </configuration>
+                        <main-class>com.wf.Concatenator</main-class>
+                        <arg>${output}</arg>
+                        <arg>${nameNode}/projects/bootcamp/concat/data-${fileTimestamp}.csv</arg>
+                </java>
+                <ok to="fileupload" />
+                <error to="fail"/>
+        </action>
+                        
+        <action name="fileupload">
+                <ssh>
+                        <host>localhost</host>
+                        <command>/tmp/fileupload.sh</command>
+                        <args>${nameNode}/projects/bootcamp/concat/data-${fileTimestamp}.csv</args>
+                        <args>${wf:conf("ssh.host")}</args>
+                        <capture-output/>
+                </ssh>
+                <ok to="fileUploadDecision" />
+                <error to="fail"/>
+        </action>
+
+        <decision name="fileUploadDecision">
+                <switch>
+                        <case to="end">
+                                ${wf:actionData('fileupload')['output'] == '0'}
+                        </case>
+                        <default to="fail"/>
+                </switch>
+        </decision>
+
+        <kill name="fail">
+                <message>Workflow failed, error message[${wf:errorMessage(wf:lastErrorNode())}]</message>
+        </kill>
+
+        <end name="end" />
+</workflow-app>
+
+
File Upload Script

The script gets the file from hadoop, rsyncs the file to /tmp on remote host and deletes the file from hadoop

+#!/bin/bash
+
+trap 'echo "output=$?"; exit $?' ERR INT TERM
+
+echo "Arguments: $@"
+SRCFILE=$1
+DESTHOST=$3
+
+FILENAME=`basename $SRCFILE`
+rm -f /tmp/$FILENAME
+hadoop fs -copyToLocal $SRCFILE /tmp/
+echo "Copied $SRCFILE to /tmp"
+
+rsync -ztv --rsh=ssh --stats /tmp/$FILENAME $DESTHOST:/tmp
+echo "rsynced $FILENAME to $DESTUSER@$DESTHOST:$DESTFILE"
+
+hadoop fs -rmr $SRCFILE
+echo "Deleted $SRCFILE"
+
+rm -f /tmp/$FILENAME
+echo "output=0"
+
+
+
+
+ +
+ + + + Added: incubator/falcon/site/0.3-incubating/images/Architecture.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/Architecture.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/Architecture.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/EntityDependency.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/EntityDependency.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/EntityDependency.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/FeedSchedule.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/FeedSchedule.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/FeedSchedule.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/PrismSetup.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/PrismSetup.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/PrismSetup.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/ProcessSchedule.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/ProcessSchedule.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/ProcessSchedule.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/accessories-text-editor.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/accessories-text-editor.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/accessories-text-editor.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/add.gif URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/add.gif?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/add.gif ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/apache-incubator-logo.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/apache-incubator-logo.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/apache-incubator-logo.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/apache-maven-project-2.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/apache-maven-project-2.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/apache-maven-project-2.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/application-certificate.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/application-certificate.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/application-certificate.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/close.gif URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/close.gif?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/close.gif ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/contact-new.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/contact-new.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/contact-new.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/document-properties.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/document-properties.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/document-properties.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/drive-harddisk.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/drive-harddisk.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/drive-harddisk.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/falcon-logo.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/falcon-logo.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/falcon-logo.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/fix.gif URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/fix.gif?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/fix.gif ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/icon_error_sml.gif URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/icon_error_sml.gif?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/icon_error_sml.gif ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/icon_help_sml.gif URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/icon_help_sml.gif?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/icon_help_sml.gif ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/icon_info_sml.gif URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/icon_info_sml.gif?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/icon_info_sml.gif ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/icon_success_sml.gif URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/icon_success_sml.gif?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/icon_success_sml.gif ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/icon_warning_sml.gif URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/icon_warning_sml.gif?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/icon_warning_sml.gif ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/image-x-generic.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/image-x-generic.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/image-x-generic.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/internet-web-browser.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/internet-web-browser.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/internet-web-browser.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/logos/build-by-maven-black.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/logos/build-by-maven-black.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/logos/build-by-maven-black.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/logos/build-by-maven-white.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/logos/build-by-maven-white.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/logos/build-by-maven-white.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/logos/maven-feather.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/logos/maven-feather.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/logos/maven-feather.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/network-server.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/network-server.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/network-server.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/package-x-generic.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/package-x-generic.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/package-x-generic.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/profiles/pre-release.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/profiles/pre-release.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/profiles/pre-release.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/profiles/retired.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/profiles/retired.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/profiles/retired.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/profiles/sandbox.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/profiles/sandbox.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/profiles/sandbox.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/remove.gif URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/remove.gif?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/remove.gif ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/rss.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/rss.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/rss.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/update.gif URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/update.gif?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/update.gif ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/images/window-new.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/images/window-new.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/images/window-new.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/img/glyphicons-halflings-white.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/img/glyphicons-halflings-white.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/img/glyphicons-halflings-white.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/img/glyphicons-halflings.png URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/img/glyphicons-halflings.png?rev=1516144&view=auto ============================================================================== Binary file - no diff available. Propchange: incubator/falcon/site/0.3-incubating/img/glyphicons-halflings.png ------------------------------------------------------------------------------ svn:mime-type = application/octet-stream Added: incubator/falcon/site/0.3-incubating/index.html URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/index.html?rev=1516144&view=auto ============================================================================== --- incubator/falcon/site/0.3-incubating/index.html (added) +++ incubator/falcon/site/0.3-incubating/index.html Wed Aug 21 12:29:11 2013 @@ -0,0 +1,97 @@ + + + + + + + + + Falcon - Contents + + + + + + + + + + + + + + +
+ + + + + + + +
+ +
+ + + + Added: incubator/falcon/site/0.3-incubating/integration.html URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/integration.html?rev=1516144&view=auto ============================================================================== --- incubator/falcon/site/0.3-incubating/integration.html (added) +++ incubator/falcon/site/0.3-incubating/integration.html Wed Aug 21 12:29:11 2013 @@ -0,0 +1,97 @@ + + + + + + + + + Falcon - Continuous Integration + + + + + + + + + + + + + + +
+ + + + + + +
+ +

Overview

This project uses Jenkins.

Access

The following is a link to the continuous integration system used by the project.

Notifiers

No notifiers are defined. Please check back at a later date.

+
+
+ +
+ + + + Added: incubator/falcon/site/0.3-incubating/issue-tracking.html URL: http://svn.apache.org/viewvc/incubator/falcon/site/0.3-incubating/issue-tracking.html?rev=1516144&view=auto ============================================================================== --- incubator/falcon/site/0.3-incubating/issue-tracking.html (added) +++ incubator/falcon/site/0.3-incubating/issue-tracking.html Wed Aug 21 12:29:11 2013 @@ -0,0 +1,97 @@ + + + + + + + + + Falcon - Issue Tracking + + + + + + + + + + + + + + +
+ + + + + + +
+ +

Overview

This project uses JIRA a J2EE-based, issue tracking and project management application.

Issue Tracking

Issues, bugs, and feature requests should be submitted to the following issue tracking system for this project.

+
+
+ +
+ + + +